org.apache.jmeter.protocol.http.control

## Class HC4CookieHandler

- java.lang.Object
- - org.apache.jmeter.protocol.http.control.HC4CookieHandler

All Implemented Interfaces:
  CookieHandler

    public class HC4CookieHandler
    extends Object
    implements CookieHandler

### Field Summary

Fields
`static String` `DEFAULT_POLICY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HC4CookieHandler()` Default constructor that uses `DEFAULT_POLICY_NAME`
`HC4CookieHandler(String policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCookieFromHeader(CookieManager cookieManager, boolean checkCookies, String cookieHeader, URL url)` Add cookie to CookieManager from cookieHeader and URL
`String` `getCookieHeaderForURL(CollectionProperty cookiesCP, URL url, boolean allowVariableCookie)` Find cookies applicable to the given URL and build the Cookie header from them.
`String` `getDefaultPolicy()`
`String[]` `getPolicies()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_POLICY_NAME

    public static final String DEFAULT_POLICY_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HC4CookieHandler

    public HC4CookieHandler()

Default constructor that uses `DEFAULT_POLICY_NAME`

#### HC4CookieHandler

    public HC4CookieHandler(String policy)

### Method Detail

#### addCookieFromHeader

    public void addCookieFromHeader(CookieManager cookieManager,
                                    boolean checkCookies,
                                    String cookieHeader,
                                    URL url)

Description copied from interface: `CookieHandler`
Add cookie to CookieManager from cookieHeader and URL

Specified by:
  `addCookieFromHeader` in interface `CookieHandler`
Parameters:
  `cookieManager` - CookieManager on which cookies are added
  `checkCookies` - boolean to indicate if cookies must be validated against spec
  `cookieHeader` - String cookie Header
  `url` - URL

#### getCookieHeaderForURL

    public String getCookieHeaderForURL(CollectionProperty cookiesCP,
                                        URL url,
                                        boolean allowVariableCookie)

Description copied from interface: `CookieHandler`
Find cookies applicable to the given URL and build the Cookie header from them.

Specified by:
  `getCookieHeaderForURL` in interface `CookieHandler`
Parameters:
  `cookiesCP` - `CollectionProperty` of `Cookie`
  `url` - URL of the request to which the returned header will be added.
  `allowVariableCookie` - flag whether to allow jmeter variables in cookie values
Returns:
  the value string for the cookie header (goes after "Cookie: ") or null if no cookie matches

#### getDefaultPolicy

    public String getDefaultPolicy()

Specified by:
  `getDefaultPolicy` in interface `CookieHandler`
Returns:
  Cookie default policy name

#### getPolicies

    public String[] getPolicies()

Specified by:
  `getPolicies` in interface `CookieHandler`
Returns:
  Supported cookie policies